'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.transformReferencePath = transformReferencePath;

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _esquery = require('esquery');

var _esquery2 = _interopRequireDefault(_esquery);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Utilities:
function transformReferencePath(file, oldFromPath, oldToPath, newFromPath, newToPath) {
    var oldRequirePath = getRelativeRequirePath(_path2.default.dirname(oldFromPath), oldToPath);
    var newRequirePath = getRelativeRequirePath(_path2.default.dirname(newFromPath), newToPath);

    var query = 'CallExpression[callee.name="require"] Literal[value="' + oldRequirePath + '"]';

    (0, _esquery2.default)(file.ast, query).forEach(function (requirePathLiteral) {
        requirePathLiteral.value = newRequirePath;
        requirePathLiteral.raw = '\'' + newRequirePath + '\'';
    });
}

// Dependencies:


function getRelativeRequirePath(from, to) {
    var relativePath = _path2.default.relative(from, to).replace(/\\/g, '/');
    return (/^\./.test(relativePath) ? relativePath : './' + relativePath
    );
}